<html>
    <script type="text/javascript">

    function verifemail(inputText) {
        var emailformat = /^[a-zA-Z0-9_-]+@[a-zA-Z0-9-]{2,}[.][a-zA-Z]{2,3}$/;
            if(inputText.value.match(emailformat)) {
                document.write("Email valide");
                return true;
            }
            else {
                document.write("Format d'Email invalide");
                return false;
            }
    }


    function veriftel(inputText) {
        var telformat = '^(01|02|03|04|05|06|08)[0-9]{8}';
            if(inputText.value.match(telformat)) {
                document.write("Numéro de téléphone valide");
                return true;
            }
            else {
                document.write("Numéro de téléphone invalide");
                return false;
            }
    }

    function logpass(form) {
    if (form.nomdec.value=="testlogin") { 
    if (form.mdp.value=="testpassword") {              
    alert("Identification réussie")
    } else {
    alert("MDP incorrect")
    }
    } else {  alert("Nom de compte incorrect")
    }
    }

    </script>

    <body>

        <div>
            <h3>Vérif email @ & .xy</h3>
            <form name="chkem" action="#"> 

                <input type='text' name='email1'/>

                <input type="submit" name="Valider" value="Valider" onclick="verifemail(document.chkem.email1)"/>
            
            </form>
            <br><br>
        </div>


        <div>
            <h3>Vérif numéro tel abcdefghij</h3>
            <form name="chktel" action="#"> 

                <input type='text' name='tel1'/>

                <input type="submit" name="Valider" value="Valider" onclick="veriftel(document.chktel.tel1)"/>

            </form>
            <br><br>
        </div>


        <div>
            <h3>Login Password Vérif</h3>
            Nom de compte :<form name="login"><input name="nomdec" type="text"><br><br>
            Mot de passe :<br><input name="mdp" type="password"><br><br>
            <input type="button" value="Login" onClick="logpass(this.form)">
        </div>

        

    </body>
</html>
